Bug 1196347 - Review Request: f22-backgrounds – Fedora 22 default desktop background
Summary: Review Request: f22-backgrounds – Fedora 22 default desktop background
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On: 1133217
Blocks: F22AlphaBlocker F22Blocker-kde
TreeView+ depends on / blocked
 
Reported: 2015-02-25 18:33 UTC by Martin Sourada
Modified: 2015-03-03 04:19 UTC (History)
9 users (show)

Fixed In Version: desktop-backgrounds-22.0.0-0.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1133217
Environment:
Last Closed: 2015-03-03 04:19:47 UTC
Type: ---
jreznik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Sourada 2015-02-25 18:33:14 UTC
+++ This bug was initially created as a clone of Bug #1133217 +++

Spec URL: https://mso.fedorapeople.org/packages/SPECS/f22-backgrounds.spec
SRPM URL: https://mso.fedorapeople.org/packages/SRPMS/f22-backgrounds-21.91.0-1.el7.centos.src.rpm
Description: This package contains desktop backgrounds for the Fedora 22 default theme.
Fedora Account System Username: mso

Additional info:
Package structurally same as previous default themes, supplemental wallpapers will come later (I already have the images, but they don't need to be in alpha).

Tested in XFCE (on CentOS 7, but should work on Fedora as well).

Rpmlint output comment: 
missing Docs OK, as the affected packages are dependant on the f22-backgrounds-base (sub)package that has the Docs, same with dangling symlinks.

Comment 1 Jaroslav Reznik 2015-02-26 10:00:59 UTC
(In reply to Martin Sourada from comment #0)
> +++ This bug was initially created as a clone of Bug #1133217 +++
> Additional info:
> Package structurally same as previous default themes, supplemental
> wallpapers will come later (I already have the images, but they don't need
> to be in alpha).

Confirmed the package structure is as in the previous version (except supplemental wallpapers that are still undergoing collection). All strings are correctly updated to F22.

Package builds - http://koji.fedoraproject.org/koji/taskinfo?taskID=9080407 - and installs correctly.

> Rpmlint output comment: 
> missing Docs OK, as the affected packages are dependant on the
> f22-backgrounds-base (sub)package that has the Docs, same with dangling
> symlinks.

No new rpmlint issues found except docs and symlinks mentioned above.

Just one thing I spotted for KDE sub-package. 

%files kde
%{_kde4_datadir}/wallpapers/%{Bg_Name}/

KDE 4 is going to be replaced with Plasma 5 in Fedora 22 but the wallpapers location is still the same. I confirmed it with KDE SIG and tested - it works as expected. So it's not a blocker for review but would be nice to sync with KDE SIG (KDE 4 macros are not going away in the near future but...)

As there are minimal changes in SPEC file (just version update to match current release, no extras yet) and all know rpm issues are known (and correct as stated above), package is APPROVED.

Comment 2 Martin Sourada 2015-02-26 10:33:20 UTC
New Package SCM Request
=======================
Package Name: f22-backgrounds
Short Description: Fedora 22 default desktop background
Upstream URL: https://fedoraproject.org/wiki/F22_Artwork
Owners: mso
Branches: f22 epel7
InitialCC: design-sw

Comment 3 Gwyn Ciesla 2015-02-26 13:33:14 UTC
Git done (by process-git-requests).

Comment 4 Fedora Blocker Bugs Application 2015-02-26 15:37:19 UTC
Proposed as a Blocker for 22-alpha by Fedora user jreznik using the blocker tracking app because:

 The default desktop background must be different from that of the two previous stable releases.

Default background has to be set up in release blocking desktops once the package is built.

Comment 5 Fedora Update System 2015-02-26 20:40:22 UTC
desktop-backgrounds-22.0.0-0.fc22,f22-backgrounds-21.91.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/desktop-backgrounds-22.0.0-0.fc22,f22-backgrounds-21.91.0-1.fc22

Comment 6 Fedora Update System 2015-02-27 19:43:47 UTC
desktop-backgrounds-22.0.0-0.fc22, f22-backgrounds-21.91.0-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 7 Adam Williamson 2015-03-01 16:49:45 UTC
+1 FE.

Comment 8 Jaroslav Reznik 2015-03-02 14:13:58 UTC
KDE theme review https://bugzilla.redhat.com/show_bug.cgi?id=1197709

Comment 9 Petr Schindler 2015-03-02 18:51:21 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Alpha Blocker - This bug is a clearcut violation of the Alpha criterion: "The default desktop background must be different from that of the two previous stable releases."

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 10 Fedora Update System 2015-03-03 04:19:47 UTC
desktop-backgrounds-22.0.0-0.fc22, f22-backgrounds-21.91.0-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.